.TH CosNotifyChannelAdmin_SequenceProxyPushSupplier 3 "cosNotification  1.1.11" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
CosNotifyChannelAdmin_SequenceProxyPushSupplier \- This module implements the OMG CosNotifyChannelAdmin::SequenceProxyPushSupplier interface\&.
.SH DESCRIPTION
.LP
To get access to the record definitions for the structures use: 
.br
\fI-include_lib("cosNotification/include/*\&.hrl")\&.\fR
.LP
This module also exports the functions described in:
.RS 2
.TP 2
*
CosNotifyComm_NotifySubscribe
.TP 2
*
CosNotification_QoSAdmin
.TP 2
*
CosNotifyFilter_FilterAdmin
.TP 2
*
CosNotifyChannelAdmin_ProxySupplier
.RE

.SH EXPORTS
.LP
.B
connect_sequence_push_consumer(SequenceProxyPushSupplier, PushConsumer) -> Reply
.br
.RS
.TP
Types
SequenceProxyPushSupplier = #objref
.br
PushConsumer = #objref
.br
Reply = ok | {\&'EXCEPTION\&', #\&'CosEventChannelAdmin_AlreadyConnected\&'{}} | {\&'EXCEPTION\&', #\&'CosEventChannelAdmin_TypeError\&'{}}
.br
.RE
.RS
.LP
This operation connects a \fIPushConsumer\fR to the target object\&. If a connection already exists or the function \fIpsuh_structured_events\fR is not supported the exceptions \fIAlreadyConnected\fR or \fITypeError\fR will be raised respectively\&.
.RE
.LP
.B
suspend_connection(SequenceProxyPushSupplier) -> Reply
.br
.RS
.TP
Types
SequenceProxyPushSupplier = #objref
.br
Reply = ok | {\&'EXCEPTION\&', #\&'CosNotifyChannelAdmin_ConnectionAlreadyInactive\&'{}} | {\&'EXCEPTION\&', #\&'CosNotifyChannelAdmin_NotConnected\&'{}}
.br
.RE
.RS
.LP
This operation suspends the connection between the client and the target object\&. If no connection exists or the connection is already suspended an exception is raised\&.
.RE
.LP
.B
resume_connection(SequenceProxyPushSupplier) -> Reply
.br
.RS
.TP
Types
SequenceProxyPullConsumer = #objref
.br
Reply = ok | {\&'EXCEPTION\&', #\&'CosNotifyChannelAdmin_ConnectionAlreadyInactive\&'{}} | {\&'EXCEPTION\&', #\&'CosNotifyChannelAdmin_NotConnected\&'{}}
.br
.RE
.RS
.LP
If the connection have previously been suspended this operation must used if we want to resume the connection\&. If no object have been connected or the connection already is active an exception is raised\&.
.RE
.LP
.B
disconnect_sequence_push_supplier(SequenceProxyPushSupplier) -> ok
.br
.RS
.TP
Types
SequenceProxyPushSupplier = #objref
.br
.RE
.RS
.LP
This operation cause the target object to close the connection and terminate\&.
.RE
